package org.iotivity.bridge.homeserver;

/**
 * Example of a callback interface used by IRemoteService to send
 * synchronous notifications back to its clients.  Note that this is a
 * one-way interface so the server does not block waiting for the client.
 */

interface IRemoteServiceCallback {
    /**
     * Called when the service has a new value for you.
     */
    void lineMessageNotified();

    void messageNotified(String msg);

    void addDeviceNotified();

}
